Bug 812058 - Review Request: zipios++ - C++ library for reading and writing Zip files
Review Request: zipios++ - C++ library for reading and writing Zip files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 12:09 EDT by Richard Shaw
Modified: 2014-05-20 14:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: zipios++-0.1.5.9-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 16:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2012-04-12 12:09:24 EDT
Spec URL: http://hobbes1069.fedorapeople.org/zipios/zipios++.spec
SRPM URL: http://hobbes1069.fedorapeople.org/zipios/zipios++-0.1.5.9-5.fc16.src.rpm
Description:
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

rpmlint output:
$ rpmlint SRPMS/zipios++-0.1.5.9-5.fc16.src.rpm
zipios++.src: I: enchant-dictionary-not-found pl.UTF-8
zipios++.src: W: spelling-error %description -l en_US Zipios -> Scipio
zipios++.src: W: spelling-error %description -l en_US util -> til, until, u til
zipios++.src: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint output of installed package
# rpmlint zipios++
zipios++.x86_64: I: enchant-dictionary-not-found pl.UTF-8
zipios++.x86_64: W: spelling-error %description -l en_US Zipios -> Scipio
zipios++.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
zipios++.x86_64: W: spelling-error %description -l en_US iostreams -> mainstreams, streams
zipios++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.0.0.0 linux-vdso.so.1
zipios++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzipios.so.0.0.0 /lib64/libm.so.6
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 1 Gwyn Ciesla 2012-04-17 15:08:32 EDT
I'll give this a go.
Comment 2 Gwyn Ciesla 2012-04-17 15:23:17 EDT
Good:

- rpmlint checks return:

zipios++.x86_64: I: enchant-dictionary-not-found pl.UTF-8
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

Fix.

zipios++.x86_64: W: spurious-executable-perm /usr/share/doc/zipios++-0.1.5.9/COPYING
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

Fix.

And several ignorable spelling errors.

- package meets naming guidelines
- package meets packaging guidelines
- license ( LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english  

I cannot speak to the accuracy of the Polish, I should ask my dad. . .

- source matches upstream

N/A

- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok

N/A

- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Otherwise OK.  So it's just the rpmlint stuff.  I assume the only reason you're packaging software with no current upstream is as a dependency?
Comment 3 Richard Shaw 2012-04-17 15:36:52 EDT
(In reply to comment #2)
> Good:
> 
> - rpmlint checks return:
> 
> zipios++.x86_64: I: enchant-dictionary-not-found pl.UTF-8
> A dictionary for the Enchant spell checking library is not available for the
> language given in the info message.  Spell checking will proceed with
> rpmlint's built-in implementation for localized tags in this language. For
> better spell checking results in this language, install the appropriate
> dictionary that Enchant will use for this language, often for example
> hunspell-* or aspell-*.
> 
> Fix.

I looked into this, I think this is just telling you that it can't check the spelling because you don't have a Polish dictionary installed. At least this is my interpretation of the error.

 
> zipios++.x86_64: W: spurious-executable-perm
> /usr/share/doc/zipios++-0.1.5.9/COPYING
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> Fix.

Oops. I had that fixed locally. Must have fixed it after I copied my stuff to fedorapeople.org. Fixed.


> I cannot speak to the accuracy of the Polish, I should ask my dad. . .

It was in the package I started with and I didn't see any reason to remove it :)


> Otherwise OK.  So it's just the rpmlint stuff.  I assume the only reason you're
> packaging software with no current upstream is as a dependency?

Yup. It's bundled in FreeCAD.

Spec URL: http://hobbes1069.fedorapeople.org/zipios/zipios++.spec
SRPM URL:
http://hobbes1069.fedorapeople.org/zipios/zipios++-0.1.5.9-6.fc16.src.rpm


Thanks,
Richard
Comment 4 Gwyn Ciesla 2012-04-17 15:44:26 EDT
Yup, I installed hunspell-pl and it complains about the polish spelling as well. :)

Looks great now.

APPROVED.
Comment 5 Richard Shaw 2012-04-17 15:51:09 EDT
Thanks for the review. Let me know if you need one sometime later.
Comment 6 Richard Shaw 2012-04-17 15:52:14 EDT
New Package SCM Request
=======================
Package Name: zipios++
Short Description: C++ library for reading and writing Zip files
Owners: hobbes1069
Branches: f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-04-17 15:54:29 EDT
Anytime.  I don't have any right now, but you could do a Merge Review. :)
Comment 8 Gwyn Ciesla 2012-04-17 15:54:49 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-04-17 19:05:31 EDT
zipios++-0.1.5.9-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zipios++-0.1.5.9-6.fc16
Comment 10 Fedora Update System 2012-04-17 19:06:01 EDT
zipios++-0.1.5.9-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zipios++-0.1.5.9-6.fc17
Comment 11 Fedora Update System 2012-04-18 18:10:23 EDT
zipios++-0.1.5.9-6.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-04-26 16:12:07 EDT
zipios++-0.1.5.9-6.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-04-27 02:02:40 EDT
zipios++-0.1.5.9-6.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 John Morris 2012-10-17 16:14:21 EDT
Package Change Request
======================
Package Name: zipios++
New Branches: el6
Owners: zultron hobbes1069
InitialCC: 

The owner of this package (hobbes1069) and I (zultron) are building this package for EPEL6.
Comment 15 Gwyn Ciesla 2012-10-17 17:15:55 EDT
Git done (by process-git-requests).
Comment 16 Richard Shaw 2014-05-20 14:23:48 EDT
Package Change Request
======================
Package Name: zipios++
New Branches: epel7
Owners: hobbes1069
InitialCC:
Comment 17 Gwyn Ciesla 2014-05-20 14:32:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.